Class | Rubygame::EventTriggers::InstanceOfTrigger
In: | lib/rubygame/event_triggers.rb
Parent: | Object

InstanceOfTrigger is an event trigger which fires when the event is an instance of the given class. (In other words, when event.instance_of?( klass ) is true.)

Contrast with KindOfTrigger.

### Methods

match? new

### Public Class methods

new( klass )

Initialize a new instance of InstanceOfTrigger with the given class.

klass: | The class to check for. (Class, required)

### Public Instance methods

match?( event )

Returns true if the event is an instance of the class.

[Validate]